import Foundation

struct Titled<Content> {

    let title: String

    let items: [Content]
}

struct CVInfo {

    let top: TopInfo

    let work: Titled<CareerStation>

    let education: Titled<CareerStation>

    let publications: Titled<Publication>

    let skills: Titled<SkillsSet>

    let about: Titled<String>

    let footer: [String]
}
